Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Interface GeoPath.SegmentIterator

All Superinterfaces:
  java.util.Iterator

All Known Implementing Classes:
  GeoPath.Impl.SegIt

Enclosing interface:
  GeoPath

public static interface GeoPath.SegmentIterator
extends java.util.Iterator

Method Summary
`boolean` | `hasNext()` Asking if there is another segment.
`java.lang.Object` | `next()` standard implementation of Iterator.next() returns the same value as nextSegment(), albeit needing casting to GSegment.
`GeoSegment` | `nextSegment()` Advance to the next pegment.

Methods inherited from interface java.util.Iterator
`remove`

Method Detail

### hasNext

    public boolean hasNext()

  Asking if there is another segment. *

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  standard implementation of Iterator.next() returns the same value as nextSegment(), albeit needing casting to GSegment.

  Specified by:
    `next` in interface `java.util.Iterator`

### nextSegment

    public GeoSegment nextSegment()

  Advance to the next pegment. Some implementations will also implement GSegment, so that #next() returns the iterator instance itself, but this should not be depended on.

  Returns:
    the next GSegment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details